String-escaping functions

## Classes

class | pqxx::binarystring
| Binary data corresponding to PostgreSQL's "BYTEA" binary-string type. More...

## Functions

template<typename... ARGS>
auto | pqxx::transaction_base::esc (ARGS &&...args) const
| Escape string for use as SQL string literal in this transaction.

## Detailed Description

## Function Documentation

## esc()

template<typename... ARGS>

auto pqxx::transaction_base::esc | ( | ARGS &&... | args | ) | const

Escape string for use as SQL string literal in this transaction.

Use these when writing SQL queries that incorporate C++ values as SQL constants.

The functions you see here are just convenience shortcuts to the same functions on the connection object.